zenilib: zenilib/jni/external/zenilib/zeni_audio/AL/alc.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Typedefs | Functions
alc.h File Reference

Go to the source code of this file.

## Macros

#define | ALC_ALL_ATTRIBUTES 0x1003
#define | ALC_API extern
#define | ALC_APIENTRY
#define | ALC_ATTRIBUTES_SIZE 0x1002
#define | ALC_CAPTURE_DEFAULT_DEVICE_SPECIFIER 0x311
#define | ALC_CAPTURE_DEVICE_SPECIFIER 0x310
#define | ALC_CAPTURE_SAMPLES 0x312
#define | ALC_DEFAULT_DEVICE_SPECIFIER 0x1004
#define | ALC_DEVICE_SPECIFIER 0x1005
#define | ALC_EXTENSIONS 0x1006
#define | ALC_FALSE 0
#define | ALC_FREQUENCY 0x1007
#define | ALC_INVALID 0
#define | ALC_INVALID_CONTEXT 0xA002
#define | ALC_INVALID_DEVICE 0xA001
#define | ALC_INVALID_ENUM 0xA003
#define | ALC_INVALID_VALUE 0xA004
#define | ALC_MAJOR_VERSION 0x1000
#define | ALC_MINOR_VERSION 0x1001
#define | ALC_MONO_SOURCES 0x1010
#define | ALC_NO_ERROR ALC_FALSE
#define | ALC_OUT_OF_MEMORY 0xA005
#define | ALC_REFRESH 0x1008
#define | ALC_STEREO_SOURCES 0x1011
#define | ALC_SYNC 0x1009
#define | ALC_TRUE 1
#define | ALC_VERSION_0_1 1
#define | ALCAPI ALC_API
#define | ALCAPIENTRY ALC_APIENTRY

## Typedefs

typedef char | ALCboolean
typedef signed char | ALCbyte
typedef char | ALCchar
typedef struct ALCcontext_struct | ALCcontext
typedef struct ALCdevice_struct | ALCdevice
typedef double | ALCdouble
typedef int | ALCenum
typedef float | ALCfloat
typedef int | ALCint
typedef short | ALCshort
typedef int | ALCsizei
typedef unsigned char | ALCubyte
typedef unsigned int | ALCuint
typedef unsigned short | ALCushort
typedef void | ALCvoid
typedef ALCboolean(ALC_APIENTRY * | LPALCCAPTURECLOSEDEVICE )(ALCdevice *device)
typedef ALCdevice *(ALC_APIENTRY * | LPALCCAPTUREOPENDEVICE )(const ALCchar *devicename, ALCuint frequency, ALCenum format, ALCsizei buffersize)
typedef void(ALC_APIENTRY * | LPALCCAPTURESAMPLES )(ALCdevice *device, ALCvoid *buffer, ALCsizei samples)
typedef void(ALC_APIENTRY * | LPALCCAPTURESTART )(ALCdevice *device)
typedef void(ALC_APIENTRY * | LPALCCAPTURESTOP )(ALCdevice *device)
typedef ALCboolean(ALC_APIENTRY * | LPALCCLOSEDEVICE )(ALCdevice *device)
typedef ALCcontext *ALC_APIENTRY * | LPALCCREATECONTEXT (ALCdevice *device, const ALCint *attrlist)
typedef void(ALC_APIENTRY * | LPALCDESTROYCONTEXT )(ALCcontext *context)
typedef ALCdevice *(ALC_APIENTRY * | LPALCGETCONTEXTSDEVICE )(ALCcontext *context)
typedef ALCcontext *(ALC_APIENTRY * | LPALCGETCURRENTCONTEXT )(void)
typedef ALCenum(ALC_APIENTRY * | LPALCGETENUMVALUE )(ALCdevice *device, const ALCchar *enumname)
typedef ALCenum(ALC_APIENTRY * | LPALCGETERROR )(ALCdevice *device)
typedef void(ALC_APIENTRY * | LPALCGETINTEGERV )(ALCdevice *device, ALCenum param, ALCsizei size, ALCint *dest)
typedef void *(ALC_APIENTRY * | LPALCGETPROCADDRESS )(ALCdevice *device, const ALCchar *funcname)
typedef const ALCchar *(ALC_APIENTRY * | LPALCGETSTRING )(ALCdevice *device, ALCenum param)
typedef ALCboolean(ALC_APIENTRY * | LPALCISEXTENSIONPRESENT )(ALCdevice *device, const ALCchar *extname)
typedef ALCboolean(ALC_APIENTRY * | LPALCMAKECONTEXTCURRENT )(ALCcontext *context)
typedef ALCdevice *(ALC_APIENTRY * | LPALCOPENDEVICE )(const ALCchar *devicename)
typedef void(ALC_APIENTRY * | LPALCPROCESSCONTEXT )(ALCcontext *context)
typedef void(ALC_APIENTRY * | LPALCSUSPENDCONTEXT )(ALCcontext *context)

## Functions

ALC_API ALCboolean ALC_APIENTRY | alcCaptureCloseDevice (ALCdevice *device)
ALC_API ALCdevice *ALC_APIENTRY | alcCaptureOpenDevice (const ALCchar *devicename, ALCuint frequency, ALCenum format, ALCsizei buffersize)
ALC_API void ALC_APIENTRY | alcCaptureSamples (ALCdevice *device, ALCvoid *buffer, ALCsizei samples)
ALC_API void ALC_APIENTRY | alcCaptureStart (ALCdevice *device)
ALC_API void ALC_APIENTRY | alcCaptureStop (ALCdevice *device)
ALC_API ALCboolean ALC_APIENTRY | alcCloseDevice (ALCdevice *device)
ALC_API ALCcontext *ALC_APIENTRY | alcCreateContext (ALCdevice *device, const ALCint *attrlist)
ALC_API void ALC_APIENTRY | alcDestroyContext (ALCcontext *context)
ALC_API ALCdevice *ALC_APIENTRY | alcGetContextsDevice (ALCcontext *context)
ALC_API ALCcontext *ALC_APIENTRY | alcGetCurrentContext (void)
ALC_API ALCenum ALC_APIENTRY | alcGetEnumValue (ALCdevice *device, const ALCchar *enumname)
ALC_API ALCenum ALC_APIENTRY | alcGetError (ALCdevice *device)
ALC_API void ALC_APIENTRY | alcGetIntegerv (ALCdevice *device, ALCenum param, ALCsizei size, ALCint *data)
ALC_API void *ALC_APIENTRY | alcGetProcAddress (ALCdevice *device, const ALCchar *funcname)
ALC_API const ALCchar *ALC_APIENTRY | alcGetString (ALCdevice *device, ALCenum param)
ALC_API ALCboolean ALC_APIENTRY | alcIsExtensionPresent (ALCdevice *device, const ALCchar *extname)
ALC_API ALCboolean ALC_APIENTRY | alcMakeContextCurrent (ALCcontext *context)
ALC_API ALCdevice *ALC_APIENTRY | alcOpenDevice (const ALCchar *devicename)
ALC_API void ALC_APIENTRY | alcProcessContext (ALCcontext *context)
ALC_API void ALC_APIENTRY | alcSuspendContext (ALCcontext *context)

## Macro Definition Documentation

#define ALC_ALL_ATTRIBUTES 0x1003

Definition at line 168 of file alc.h.

#define ALC_API extern

Definition at line 20 of file alc.h.

#define ALC_APIENTRY

Definition at line 27 of file alc.h.

#define ALC_ATTRIBUTES_SIZE 0x1002

Definition at line 167 of file alc.h.

#define ALC_CAPTURE_DEFAULT_DEVICE_SPECIFIER 0x311

Definition at line 175 of file alc.h.

#define ALC_CAPTURE_DEVICE_SPECIFIER 0x310

Capture extension

Definition at line 174 of file alc.h.

#define ALC_CAPTURE_SAMPLES 0x312

Definition at line 176 of file alc.h.

#define ALC_DEFAULT_DEVICE_SPECIFIER 0x1004

The Specifier string for default device

Definition at line 160 of file alc.h.

#define ALC_DEVICE_SPECIFIER 0x1005

Definition at line 161 of file alc.h.

#define ALC_EXTENSIONS 0x1006

Definition at line 162 of file alc.h.

#define ALC_FALSE 0

Definition at line 92 of file alc.h.

#define ALC_FREQUENCY 0x1007

followed by <int> Hz

Definition at line 100 of file alc.h.

#define ALC_INVALID 0

Definition at line 40 of file alc.h.

#define ALC_INVALID_CONTEXT 0xA002

invalid context ID

Definition at line 139 of file alc.h.

#define ALC_INVALID_DEVICE 0xA001

No device

Definition at line 134 of file alc.h.

#define ALC_INVALID_ENUM 0xA003

bad enum

Definition at line 144 of file alc.h.

#define ALC_INVALID_VALUE 0xA004

bad value

Definition at line 149 of file alc.h.

#define ALC_MAJOR_VERSION 0x1000

Definition at line 164 of file alc.h.

#define ALC_MINOR_VERSION 0x1001

Definition at line 165 of file alc.h.

#define ALC_MONO_SOURCES 0x1010

followed by <int> Num of requested Mono (3D) Sources

Definition at line 115 of file alc.h.

#define ALC_NO_ERROR ALC_FALSE

errors No error

Definition at line 129 of file alc.h.

#define ALC_OUT_OF_MEMORY 0xA005

Out of memory.

Definition at line 154 of file alc.h.

#define ALC_REFRESH 0x1008

followed by <int> Hz

Definition at line 105 of file alc.h.

#define ALC_STEREO_SOURCES 0x1011

followed by <int> Num of requested Stereo Sources

Definition at line 120 of file alc.h.

#define ALC_SYNC 0x1009

followed by AL_TRUE, AL_FALSE

Definition at line 110 of file alc.h.

#define ALC_TRUE 1

Definition at line 95 of file alc.h.

#define ALC_VERSION_0_1 1

Definition at line 43 of file alc.h.

#define ALCAPI ALC_API

Definition at line 38 of file alc.h.

#define ALCAPIENTRY ALC_APIENTRY

Definition at line 39 of file alc.h.

## Typedef Documentation

typedef char ALCboolean

8-bit boolean

Definition at line 50 of file alc.h.

typedef signed char ALCbyte

signed 8-bit 2's complement integer

Definition at line 56 of file alc.h.

typedef char ALCchar

character

Definition at line 53 of file alc.h.

typedef struct ALCcontext_struct ALCcontext

Definition at line 46 of file alc.h.

typedef struct ALCdevice_struct ALCdevice

Definition at line 45 of file alc.h.

typedef double ALCdouble

64-bit IEEE754 floating-point

Definition at line 83 of file alc.h.

typedef int ALCenum

enumerated 32-bit value

Definition at line 77 of file alc.h.

typedef float ALCfloat

32-bit IEEE754 floating-point

Definition at line 80 of file alc.h.

typedef int ALCint

signed 32-bit 2's complement integer

Definition at line 68 of file alc.h.

typedef short ALCshort

signed 16-bit 2's complement integer

Definition at line 62 of file alc.h.

typedef int ALCsizei

non-negative 32-bit binary integer size

Definition at line 74 of file alc.h.

typedef unsigned char ALCubyte

unsigned 8-bit integer

Definition at line 59 of file alc.h.

typedef unsigned int ALCuint

unsigned 32-bit integer

Definition at line 71 of file alc.h.

typedef unsigned short ALCushort

unsigned 16-bit integer

Definition at line 65 of file alc.h.

typedef void ALCvoid

void type (for opaque pointers only)

Definition at line 86 of file alc.h.

typedef ALCboolean(ALC_APIENTRY * LPALCCAPTURECLOSEDEVICE)(ALCdevice *device)

Definition at line 264 of file alc.h.

typedef ALCdevice*(ALC_APIENTRY * LPALCCAPTUREOPENDEVICE)(const ALCchar *devicename, ALCuint frequency, ALCenum format, ALCsizei buffersize)

Definition at line 263 of file alc.h.

typedef void(ALC_APIENTRY * LPALCCAPTURESAMPLES)(ALCdevice *device, ALCvoid *buffer, ALCsizei samples)

Definition at line 267 of file alc.h.

typedef void(ALC_APIENTRY * LPALCCAPTURESTART)(ALCdevice *device)

Definition at line 265 of file alc.h.

typedef void(ALC_APIENTRY * LPALCCAPTURESTOP)(ALCdevice *device)

Definition at line 266 of file alc.h.

typedef ALCboolean(ALC_APIENTRY * LPALCCLOSEDEVICE)(ALCdevice *device)

Definition at line 256 of file alc.h.

typedef ALCcontext* ALC_APIENTRY* LPALCCREATECONTEXT(ALCdevice *device, const ALCint *attrlist)

Definition at line 248 of file alc.h.

typedef void(ALC_APIENTRY * LPALCDESTROYCONTEXT)(ALCcontext *context)

Definition at line 252 of file alc.h.

typedef ALCdevice*(ALC_APIENTRY * LPALCGETCONTEXTSDEVICE)(ALCcontext *context)

Definition at line 254 of file alc.h.

typedef ALCcontext*(ALC_APIENTRY * LPALCGETCURRENTCONTEXT)(void)

Definition at line 253 of file alc.h.

typedef ALCenum(ALC_APIENTRY * LPALCGETENUMVALUE)(ALCdevice *device, const ALCchar *enumname)

Definition at line 260 of file alc.h.

typedef ALCenum(ALC_APIENTRY * LPALCGETERROR)(ALCdevice *device)

Definition at line 257 of file alc.h.

typedef void(ALC_APIENTRY * LPALCGETINTEGERV)(ALCdevice *device, ALCenum param, ALCsizei size, ALCint *dest)

Definition at line 262 of file alc.h.

typedef void*(ALC_APIENTRY * LPALCGETPROCADDRESS)(ALCdevice *device, const ALCchar *funcname)

Definition at line 259 of file alc.h.

typedef const ALCchar*(ALC_APIENTRY * LPALCGETSTRING)(ALCdevice *device, ALCenum param)

Definition at line 261 of file alc.h.

typedef ALCboolean(ALC_APIENTRY * LPALCISEXTENSIONPRESENT)(ALCdevice *device, const ALCchar *extname)

Definition at line 258 of file alc.h.

typedef ALCboolean(ALC_APIENTRY * LPALCMAKECONTEXTCURRENT)(ALCcontext *context)

Definition at line 249 of file alc.h.

typedef ALCdevice*(ALC_APIENTRY * LPALCOPENDEVICE)(const ALCchar *devicename)

Definition at line 255 of file alc.h.

typedef void(ALC_APIENTRY * LPALCPROCESSCONTEXT)(ALCcontext *context)

Definition at line 250 of file alc.h.

typedef void(ALC_APIENTRY * LPALCSUSPENDCONTEXT)(ALCcontext *context)

Definition at line 251 of file alc.h.

## Function Documentation

ALC_API ALCboolean ALC_APIENTRY alcCaptureCloseDevice | ( | ALCdevice * | device | ) |

Definition at line 2995 of file ALc.c.

References ALC_FALSE, ALC_INVALID_DEVICE, ALC_TRUE, ALCdevice_DecRef(), alcSetError(), Capture, DeviceList, LockLists(), ALCdevice_struct::next, ALCdevice_struct::Type, and UnlockLists().

ALC_API ALCdevice* ALC_APIENTRY alcCaptureOpenDevice | ( | const ALCchar * | devicename,
|  | ALCuint | frequency,
|  | ALCenum | format,
|  | ALCsizei | buffersize
| ) |  |

Capture function.

Definition at line 2922 of file ALc.c.

References al_calloc(), AL_FALSE, al_free(), ALC_INVALID_ENUM, ALC_INVALID_VALUE, ALC_NO_ERROR, ALC_OUT_OF_MEMORY, ALC_TRUE, ALCdevice_OpenCapture, alcSetError(), ALCdevice_struct::BufferMap, Capture, CaptureBackend, ALCdevice_struct::Connected, DecomposeDevFormat(), DeleteCriticalSection(), DEVICE_CHANNELS_REQUEST, DEVICE_FREQUENCY_REQUEST, DEVICE_SAMPLE_TYPE_REQUEST, DeviceList, ALCdevice_struct::DeviceName, DO_INITCONFIG, ALCdevice_struct::EffectMap, ALCdevice_struct::FilterMap, ALCdevice_struct::Flags, ALCdevice_struct::FmtChans, ALCdevice_struct::FmtType, ALCdevice_struct::Frequency, BackendInfo::Funcs, ALCdevice_struct::Funcs, InitializeCriticalSection(), InitUIntMap(), ALCdevice_struct::Mutex, BackendInfo::name, ALCdevice_struct::next, NULL, ALCdevice_struct::NumUpdates, ALCdevice_struct::ref, TRACE, ALCdevice_struct::Type, and ALCdevice_struct::UpdateSize.

ALC_API void ALC_APIENTRY alcCaptureSamples | ( | ALCdevice * | device,
|  | ALCvoid * | buffer,
|  | ALCsizei | samples
| ) |  |

Definition at line 3054 of file ALc.c.

References ALC_INVALID_DEVICE, ALC_INVALID_VALUE, ALC_NO_ERROR, ALCdevice_AvailableSamples, ALCdevice_CaptureSamples, ALCdevice_DecRef(), ALCdevice_Lock, ALCdevice_Unlock, alcSetError(), Capture, ALCdevice_struct::Type, and VerifyDevice().

ALC_API void ALC_APIENTRY alcCaptureStart | ( | ALCdevice * | device | ) |

Definition at line 3019 of file ALc.c.

References ALC_INVALID_DEVICE, ALCdevice_DecRef(), ALCdevice_Lock, ALCdevice_StartCapture, ALCdevice_Unlock, alcSetError(), Capture, ALCdevice_struct::Connected, DEVICE_RUNNING, ALCdevice_struct::Flags, ALCdevice_struct::Type, and VerifyDevice().

ALC_API void ALC_APIENTRY alcCaptureStop | ( | ALCdevice * | device | ) |

Definition at line 3038 of file ALc.c.

References ALC_INVALID_DEVICE, ALCdevice_DecRef(), ALCdevice_Lock, ALCdevice_StopCapture, ALCdevice_Unlock, alcSetError(), Capture, DEVICE_RUNNING, ALCdevice_struct::Flags, ALCdevice_struct::Type, and VerifyDevice().

ALC_API ALCboolean ALC_APIENTRY alcCloseDevice | ( | ALCdevice * | device | ) |

Definition at line 2884 of file ALc.c.

References ALC_FALSE, ALC_INVALID_DEVICE, ALC_TRUE, ALCdevice_DecRef(), ALCdevice_StopPlayback, alcSetError(), Capture, ALCdevice_struct::ContextList, DEVICE_RUNNING, DeviceList, ALCdevice_struct::Flags, LockLists(), ALCdevice_struct::next, NULL, ReleaseContext(), ALCdevice_struct::Type, UnlockLists(), and WARN.

Referenced by CloseAL(), InitAL(), and main().

ALC_API ALCcontext* ALC_APIENTRY alcCreateContext | ( | ALCdevice * | device,
|  | const ALCint * | attrlist
| ) |  |

Context management.

Definition at line 2463 of file ALc.c.

References ALCcontext_struct::ActiveSources, ALC_INVALID_DEVICE, ALC_NO_ERROR, ALC_OUT_OF_MEMORY, ALCdevice_DecRef(), ALCdevice_IncRef(), ALCdevice_Lock, ALCdevice_StopPlayback, ALCdevice_Unlock, alcSetError(), aluHandleDisconnect(), calloc, Capture, ALCdevice_struct::Connected, ALCdevice_struct::ContextList, ALCcontext_struct::Device, DEVICE_RUNNING, ALCdevice_struct::Flags, free, InitContext(), ALCdevice_struct::LastError, ALCcontext_struct::Listener, LockLists(), malloc, ALCcontext_struct::MaxActiveSources, ALCcontext_struct::next, NULL, ALCcontext_struct::ref, TRACE, ALCdevice_struct::Type, UnlockLists(), UpdateDeviceParams(), and VerifyDevice().

Referenced by InitAL(), and main().

ALC_API void ALC_APIENTRY alcDestroyContext | ( | ALCcontext * | context | ) |

Definition at line 2539 of file ALc.c.

References ALCdevice_StopPlayback, alcGetContextsDevice(), ALCdevice_struct::ContextList, DEVICE_RUNNING, ALCdevice_struct::Flags, LockLists(), ReleaseContext(), and UnlockLists().

Referenced by CloseAL(), InitAL(), and main().

ALC_API ALCdevice* ALC_APIENTRY alcGetContextsDevice | ( | ALCcontext * | context | ) |

Definition at line 2638 of file ALc.c.

References ALC_INVALID_CONTEXT, ALCcontext_DecRef(), alcSetError(), ALCcontext_struct::Device, NULL, and VerifyContext().

Referenced by alcDestroyContext(), CloseAL(), and main().

ALC_API ALCcontext* ALC_APIENTRY alcGetCurrentContext | ( | void |  | ) |

Definition at line 2563 of file ALc.c.

References GlobalContext.

Referenced by CloseAL(), and main().

ALC_API ALCenum ALC_APIENTRY alcGetEnumValue | ( | ALCdevice * | device,
|  | const ALCchar * | enumname
| ) |  |

Definition at line 2437 of file ALc.c.

References ALC_INVALID_VALUE, ALCdevice_DecRef(), alcSetError(), i, and VerifyDevice().

Referenced by alGetEnumValue().

ALC_API ALCenum ALC_APIENTRY alcGetError | ( | ALCdevice * | device | ) |

Error support.

Obtain the most recent Device error.

Definition at line 2027 of file ALc.c.

References ALC_NO_ERROR, ALCdevice_DecRef(), ALCdevice_struct::LastError, and VerifyDevice().

Referenced by checkALCErrors().

ALC_API void ALC_APIENTRY alcGetIntegerv | ( | ALCdevice * | device,
|  | ALCenum | param,
|  | ALCsizei | size,
|  | ALCint * | data
| ) |  |

Definition at line 2188 of file ALc.c.

References ALC_ALL_ATTRIBUTES, ALC_ATTRIBUTES_SIZE, ALC_CAPTURE_SAMPLES, ALC_CONNECTED, ALC_EFX_MAJOR_VERSION, ALC_EFX_MINOR_VERSION, ALC_FALSE, ALC_FORMAT_CHANNELS_SOFT, ALC_FORMAT_TYPE_SOFT, ALC_FREQUENCY, ALC_INVALID_DEVICE, ALC_INVALID_ENUM, ALC_INVALID_VALUE, ALC_MAJOR_VERSION, ALC_MAX_AUXILIARY_SENDS, ALC_MINOR_VERSION, ALC_MONO_SOURCES, ALC_REFRESH, ALC_STEREO_SOURCES, ALC_SYNC, ALCdevice_AvailableSamples, ALCdevice_DecRef(), ALCdevice_Lock, ALCdevice_Unlock, alcEFXMajorVersion, alcEFXMinorVersion, alcMajorVersion, alcMinorVersion, alcSetError(), Capture, ALCdevice_struct::Connected, ALCdevice_struct::FmtChans, ALCdevice_struct::FmtType, ALCdevice_struct::Frequency, Loopback, NULL, ALCdevice_struct::NumAuxSends, ALCdevice_struct::NumMonoSources, ALCdevice_struct::NumStereoSources, ALCdevice_struct::Type, ALCdevice_struct::UpdateSize, and VerifyDevice().

Referenced by printALCInfo(), and printEFXInfo().

ALC_API void* ALC_APIENTRY alcGetProcAddress | ( | ALCdevice * | device,
|  | const ALCchar * | funcname
| ) |  |

Definition at line 2411 of file ALc.c.

References ALC_INVALID_VALUE, ALCdevice_DecRef(), alcSetError(), i, NULL, and VerifyDevice().

Referenced by alGetProcAddress().

ALC_API const ALCchar* ALC_APIENTRY alcGetString | ( | ALCdevice * | device,
|  | ALCenum | param
| ) |  |

Query function.

Definition at line 2066 of file ALc.c.

References ALC_ALL_DEVICES_SPECIFIER, ALC_CAPTURE_DEFAULT_DEVICE_SPECIFIER, ALC_CAPTURE_DEVICE_SPECIFIER, ALC_DEFAULT_ALL_DEVICES_SPECIFIER, ALC_DEFAULT_DEVICE_SPECIFIER, ALC_DEVICE_SPECIFIER, ALC_EXTENSIONS, ALC_INVALID_CONTEXT, ALC_INVALID_DEVICE, ALC_INVALID_ENUM, ALC_INVALID_VALUE, ALC_NO_ERROR, ALC_OUT_OF_MEMORY, alcAllDevicesList, alcCaptureDefaultDeviceSpecifier, alcCaptureDeviceList, alcDefaultAllDevicesSpecifier, alcDefaultName, ALCdevice_DecRef(), alcErrInvalidContext, alcErrInvalidDevice, alcErrInvalidEnum, alcErrInvalidValue, alcErrOutOfMemory, alcExtensionList, alcNoDeviceExtList, alcNoError, alcSetError(), ALCdevice_struct::DeviceName, free, NULL, ProbeAllDevicesList(), ProbeCaptureDeviceList(), strdup(), and VerifyDevice().

Referenced by checkALCErrors(), InitAL(), main(), and printALCInfo().

ALC_API ALCboolean ALC_APIENTRY alcIsExtensionPresent | ( | ALCdevice * | device,
|  | const ALCchar * | extname
| ) |  |

Extension support.

Query for the presence of an extension, and obtain any appropriate function pointers and enum values.

Definition at line 2373 of file ALc.c.

References ALC_FALSE, ALC_INVALID_VALUE, ALC_TRUE, ALCdevice_DecRef(), alcNoDeviceExtList, alcSetError(), NULL, and VerifyDevice().

Referenced by main(), printALCInfo(), and printEFXInfo().

ALC_API ALCboolean ALC_APIENTRY alcMakeContextCurrent | ( | ALCcontext * | context | ) |

Definition at line 2590 of file ALc.c.

References ALC_FALSE, ALC_INVALID_CONTEXT, ALC_TRUE, ALCcontext_DecRef(), alcSetError(), NULL, and VerifyContext().

Referenced by CloseAL(), InitAL(), and main().

ALC_API ALCdevice* ALC_APIENTRY alcOpenDevice | ( | const ALCchar * | devicename | ) |

Device management.

Definition at line 2658 of file ALc.c.

References al_calloc(), AL_EFFECT_NULL, al_free(), AL_NO_ERROR, ALC_INVALID_VALUE, ALC_NO_ERROR, ALC_OUT_OF_MEMORY, ALC_TRUE, ALCdevice_OpenPlayback, alcSetError(), ALeffectState_Destroy, ALCdevice_struct::AuxiliaryEffectSlotMax, ALCdevice_struct::Bs2b, ALCdevice_struct::Bs2bLevel, ALCdevice_struct::BufferMap, clampu(), ConfigValueInt(), ConfigValueStr(), ConfigValueUInt(), ALCdevice_struct::Connected, ALCdevice_struct::ContextList, COUNTOF, CPU_CAP_SSE, CPUCapFlags, DEFAULT_OUTPUT_RATE, ALCdevice_struct::DefaultSlot, DeleteCriticalSection(), DevFmtByte, DevFmtChannelsDefault, DevFmtFloat, DevFmtInt, DevFmtMono, DevFmtQuad, DevFmtShort, DevFmtStereo, DevFmtTypeDefault, DevFmtUByte, DevFmtUInt, DevFmtUShort, DevFmtX51, DevFmtX61, DevFmtX71, DEVICE_CHANNELS_REQUEST, DEVICE_FORMAT_REQUEST, DEVICE_FREQUENCY_REQUEST, DEVICE_SAMPLE_TYPE_REQUEST, DeviceList, ALCdevice_struct::DeviceName, DO_INITCONFIG, ALCdevice_struct::EffectMap, ALeffectslot::EffectState, ERR, ALCdevice_struct::FilterMap, ALCdevice_struct::Flags, ALCdevice_struct::FmtChans, ALCdevice_struct::FmtType, formats, ALCdevice_struct::Frequency, BackendInfo::Funcs, ALCdevice_struct::Funcs, i, InitEffectSlot(), InitializeCriticalSection(), InitializeEffect(), InitUIntMap(), ALCdevice_struct::LastError, MAX_SENDS, ALCdevice_struct::MaxNoOfSources, maxu(), MIN_OUTPUT_RATE, ALCdevice_struct::Mutex, BackendInfo::name, ALCdevice_struct::next, NULL, ALCdevice_struct::NumAuxSends, ALCdevice_struct::NumMonoSources, ALCdevice_struct::NumStereoSources, ALCdevice_struct::NumUpdates, Playback, PlaybackBackend, ALCdevice_struct::ref, TRACE, ALeffect::type, ALCdevice_struct::Type, and ALCdevice_struct::UpdateSize.

Referenced by InitAL(), and main().

ALC_API void ALC_APIENTRY alcProcessContext | ( | ALCcontext * | context | ) |

Definition at line 2056 of file ALc.c.

ALC_API void ALC_APIENTRY alcSuspendContext | ( | ALCcontext * | context | ) |

Definition at line 2047 of file ALc.c.